package com.streamplayer;

public class EventItem {
    private final String title;
    private final String time;
    private final String category;
    private final String status;
    private final String pageUrl;
    private final String channelName;
    private final long startMillis;

    public EventItem(String title, String time, String category, String status, String pageUrl, String channelName, long startMillis) {
        this.title = title;
        this.time = time;
        this.category = category;
        this.status = status;
        this.pageUrl = pageUrl;
        this.channelName = channelName;
        this.startMillis = startMillis;
    }

    public String getTitle() {
        return title;
    }

    public String getTime() {
        return time;
    }

    public String getCategory() {
        return category;
    }

    public String getStatus() {
        return status;
    }

    public String getPageUrl() {
        return pageUrl;
    }

    public String getChannelName() {
        return channelName;
    }

    public long getStartMillis() {
        return startMillis;
    }
}
